<div class="col-lg-12 col-md-12 col-sm-12 onboarding-content">
  <div class="col-lg-12 col-md-12 onboarding-nav-option">
    <div class="btn-group">
      <a class="btn btn-default btn-icon btn-custom-nav" [ngClass]="{ 'active': !isEditMode }" (click)="isEditMode = false;resetForm();">
        <span class="material-icons">add_circle</span><span class="hidden-xs"> Create New Asset</span></a>
    </div>

    <div class="btn-group">
      <a class="btn btn-default btn-icon btn-custom-nav" [ngClass]="{ 'active': isEditMode }" (click)="isEditMode = true;getAssetAvailable();">
        <span class="material-icons">domain</span><span class="hidden-xs"> Select Existing Asset</span></a>
    </div>
  </div>


  <form #onboardingForm="ngForm" class="onboarding-form">
    <div class="row">
      <!-- main row -->
      <div class="col-lg-7 col-md-7 col-sm-7">

        <div class="row">
          <!-- first row -->
          <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 organization-left org-img-holder">
            <label class="control-label">Asset Details</label>
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 thumbnail">
              <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 no-padding form-group">
                <img class="img img-responsive default" [src]="asset.logo" alt="" />
                <span class="material-icons upload-icon" (click)="file.open()">camera_alt</span>
                <app-file-upload #file (file)="changeImage($event)"></app-file-upload>
                <input type="text" class="hidden" name="logo" [(ngModel)]="asset.logo" required #organizationLogo="ngModel">

              </div>
              <div class="col-lg-8 col-md-8 col-sm-8 col-xs-7 no-padding input-group-sm">
                <label class="control-label required-lbl">Asset ID</label>
                <span *ngIf="!isEditMode">
                <input type="text" class="form-control input-sm" name="AssetIdInput" [(ngModel)]="asset.assetId" required maxlength="64"
                  #AssetIdInput="ngModel" pattern="^[0-9]+?" tabindex="0">

                <div *ngIf="AssetIdInput.errors && (AssetIdInput.dirty || AssetIdInput.touched)" class="text-danger">
                  <div [hidden]="!AssetIdInput.errors.required">
                    Asset Id is required.
                  </div>
                  <div [hidden]="!AssetIdInput.errors.minlength">
                    Asset Id must be at least 4 characters long.
                  </div>
                  <div [hidden]="!AssetIdInput.errors.maxlength">
                    Asset Id cannot be more than 64 characters long.
                  </div>
                  <div [hidden]="!AssetIdInput.errors.pattern">
                    Please enter valid Asset Id
                  </div>
                </div>
                  </span>
                <span *ngIf="isEditMode">
                <select class="form-control input-sm"  name="assetIdSelect" [(ngModel)]="assetIdIndex" (change)="getSelectedAsset(assetIdIndex)">
                  <option value="">Select Asset Id</option>
                  <option *ngFor="let exasset of availableAsset; let i = index;" [ngValue]="exasset">{{exasset.assetId}}</option>
                </select>
                  </span>

              </div>
              <div class="col-lg-4 col-md-4 col-sm-4 col-xs-5 status-icon-group">
                <div class="control-label">Active</div>
                <label class="switch">
                <input type="checkbox" name="status" [(ngModel)]="asset.status">
                <div class="slider round"></div>
              </label>
              </div>
            </div>
          </div>


          <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 organization-left">

            <!-- parent organization -->
            <div class="form-group">
              <label class="control-label required-lbl">Asset Type</label>
              <select class="form-control" tabindex="1" #assetTypeSelect="ngModel" name="assetTypeSelect" [(ngModel)]="asset.assetType"
                required>
            <option value=""></option>
            <option *ngFor="let assettype of avilableaAssetType" [value]="assettype.name">{{assettype.name}}</option>
          </select>
              <div *ngIf="assetTypeSelect.errors && (assetTypeSelect.dirty || assetTypeSelect.touched)" class="text-danger">
                <div [hidden]="!assetTypeSelect.errors.required">
                  Asset Type is required.
                </div>
              </div>
            </div>
            <!-- parent organization -->


            <div class="form-group has-feedback">
              <label class="control-label  required-lbl">Facility</label>
              <!-- pattern="(https?:\/\/(?:www\.|(?!www))[a-zA-Z0-9][a-zA-Z0-9-]+[a-zA-Z0-9]\.[^\s]{2,}|www\.[a-zA-Z0-9][a-zA-Z0-9-]+[a-zA-Z0-9]\.[^\s]{2,}|https?:\/\/(?:www\.|(?!www))[a-zA-Z0-9]\.[^\s]{2,}|www\.[a-zA-Z0-9]\.[^\s]{2,})" -->

              <select class="form-control" tabindex="2" #facilitySelect="ngModel" name="facilitySelect" [(ngModel)]="selectedFacility"
                required>
                <option value=""></option>
                <option *ngFor="let facility of availableFacility" [ngValue]="facility">{{facility.facilityName}}</option>
              </select>
              <span class="material-icons add-icon" (click)="getNewDeviceOrFacility(false)">add_circle</span>
              <div *ngIf="facilitySelect.errors && (facilitySelect.dirty || facilitySelect.touched)" class="text-danger">
                <div [hidden]="!facilitySelect.errors.required">
                  Facility is required.
                </div>
              </div>
            </div>


            <div class="form-group has-feedback">
              <label class="control-label  required-lbl">Device</label>
              <select class="form-control" tabindex="3" [(ngModel)]="selectedDevice" name="deviceSelect" #deviceSelect="ngModel" required>
                <option *ngFor="let device of availableDevice" [ngValue]="device">{{device.gatewaySno}}</option>
              </select>
              <!--<span class="form-control-feedback"><span class="material-icons">monetization_on</span></span>-->
              <span class="material-icons add-icon" (click)="getNewDeviceOrFacility(true)">add_circle</span>
              <div *ngIf="deviceSelect.errors && (deviceSelect.dirty || deviceSelect.touched)" class="text-danger">
                <div [hidden]="!deviceSelect.errors.required">
                  Device is required.
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- first row -->

        <div class="row">
          <!-- second row -->
          <!--<div class="col-lg-12">-->
          <div class="col-lg-6 col-md-6 col-sm-6 organization-left">
            <div class="form-group has-feedback ">
              <label class="control-label required-lbl">Make</label>
              <input type="text" class="form-control" tabindex="4" [(ngModel)]="asset.make" name="makeInput" #makeInput="ngModel" required
                maxlength="64" pattern="[a-zA-Z0-9.\s]+">


              <div *ngIf="makeInput.errors && (makeInput.dirty || makeInput.touched)" class="text-danger">
                <div [hidden]="!makeInput.errors.required">
                  Make is required.
                </div>
                <div [hidden]="!makeInput.errors.minlength">
                  Make must be at least 4 characters long.
                </div>
                <div [hidden]="!makeInput.errors.maxlength">
                  Make cannot be more than 64 characters long.
                </div>
                <div [hidden]="!makeInput.errors.pattern">
                  Please enter valid Make
                </div>
              </div>
            </div>

            <div class="form-group has-feedback ">
              <label class="control-label required-lbl">Model</label>
              <input type="text" class="form-control" tabindex="6" [(ngModel)]="asset.model" name="modelInput" #modelInput="ngModel" required
                maxlength="64" pattern="[a-zA-Z0-9.\s]+">
              <!-- <span class="form-control-feedback"><span class="material-icons">contacts</span></span> -->

              <div *ngIf="modelInput.errors && (modelInput.dirty || modelInput.touched)" class="text-danger">
                <div [hidden]="!modelInput.errors.required">
                  Model is required.
                </div>
                <div [hidden]="!modelInput.errors.minlength">
                  Model must be at least 4 characters long.
                </div>
                <div [hidden]="!modelInput.errors.maxlength">
                  Model cannot be more than 64 characters long.
                </div>
                <div [hidden]="!modelInput.errors.pattern">
                  Please enter valid Model
                </div>
              </div>
            </div>

            <div class="form-group has-feedback ">
              <label class="control-label required-lbl">Serial Number</label>
              <input type="text" class="form-control" tabindex="8" [(ngModel)]="asset.serialNumber" name="serialNumberInput" #serialNumberInput="ngModel"
                maxlength="64" pattern="[a-zA-Z0-9.\s]+">
              <!-- <span class="form-control-feedback"><span class="material-icons">contacts</span></span> -->

              <div *ngIf="serialNumberInput.errors && (serialNumberInput.dirty || serialNumberInput.touched)" class="text-danger">
                <div [hidden]="!serialNumberInput.errors.required">
                  Serial Number is required.
                </div>
                <div [hidden]="!serialNumberInput.errors.minlength">
                  Serial Number must be at least 4 characters long.
                </div>
                <div [hidden]="!serialNumberInput.errors.maxlength">
                  Serial Number cannot be more than 64 characters long.
                </div>
                <div [hidden]="!serialNumberInput.errors.pattern">
                  Please enter valid Serial Number
                </div>
              </div>
            </div>

            <div class="form-group has-feedback ">
              <label class="control-label">Calibration ID</label>
              <input type="text" class="form-control" tabindex="10" [(ngModel)]="asset.calibrationId" name="calibrationIdInput" #calibrationIdInput="ngModel"
                maxlength="64" pattern="[a-zA-Z0-9.\s]+">
              <!-- <span class="form-control-feedback"><span class="material-icons">contacts</span></span> -->

              <div *ngIf="calibrationIdInput.errors && (calibrationIdInput.dirty || calibrationIdInput.touched)" class="text-danger">
                <div [hidden]="!calibrationIdInput.errors.required">
                  Calibration Id is required.
                </div>
                <div [hidden]="!calibrationIdInput.errors.minlength">
                  Calibration Id must be at least 4 characters long.
                </div>
                <div [hidden]="!calibrationIdInput.errors.maxlength">
                  Calibration Id cannot be more than 64 characters long.
                </div>
                <div [hidden]="!calibrationIdInput.errors.pattern">
                  Please enter valid Calibration Id
                </div>
              </div>
            </div>

            <div class="form-group has-feedback ">
              <label class="control-label"> Customer Equipment Group</label>
              <input type="text" tabindex="12" class="form-control" [(ngModel)]="asset.customerEquipmentGroup" name="customerEquipmentGroupInput"
                #customerEquipmentGroupInput="ngModel" maxlength="64" pattern="[a-zA-Z0-9.\s]+">
              <!-- <span class="form-control-feedback"><span class="material-icons">contacts</span></span> -->

              <div *ngIf="customerEquipmentGroupInput.errors && (customerEquipmentGroupInput.dirty || customerEquipmentGroupInput.touched)"
                class="text-danger">
                <div [hidden]="!customerEquipmentGroupInput.errors.required">
                  Customer Equipment Group is required.
                </div>
                <div [hidden]="!customerEquipmentGroupInput.errors.minlength">
                  Customer Equipment Group must be at least 4 characters long.
                </div>
                <div [hidden]="!customerEquipmentGroupInput.errors.maxlength">
                  Customer Equipment Group cannot be more than 64 characters long.
                </div>
                <div [hidden]="!customerEquipmentGroupInput.errors.pattern">
                  Please enter valid Customer Equipment Group
                </div>
              </div>
            </div>


          </div>
          <div class="col-lg-6 col-md-6 col-sm-6 organization-left">

            <div class="form-group has-feedback ">
              <label class="control-label">Unit Number</label>
              <input type="text" class="form-control" tabindex="5" [(ngModel)]="asset.unitNumber" name="unitNumberInput" #unitNumberInput="ngModel"
                maxlength="64" pattern="[a-zA-Z0-9.\s]+">
              <!--<span class="form-control-feedback"><span class="material-icons">contacts</span></span>-->

              <div *ngIf="unitNumberInput.errors && (unitNumberInput.dirty || unitNumberInput.touched)" class="text-danger">
                <div [hidden]="!unitNumberInput.errors.required">
                  Unit Number is required.
                </div>
                <div [hidden]="!unitNumberInput.errors.minlength">
                  Unit Number must be at least 4 characters long.
                </div>
                <div [hidden]="!unitNumberInput.errors.maxlength">
                  Unit Number cannot be more than 64 characters long.
                </div>
                <div [hidden]="!unitNumberInput.errors.pattern">
                  Please enter valid Unit Number
                </div>
              </div>
            </div>

            <div class="form-group has-feedback ">
              <label class="control-label ">VIN</label>
              <input type="text" class="form-control" tabindex="7" [(ngModel)]="asset.vin" name="vinInput" #vinInput="ngModel" maxlength="64"
                pattern="[a-zA-Z0-9.\s]+">
              <!--<span class="form-control-feedback"><span class="material-icons">contacts</span></span>-->

              <div *ngIf="vinInput.errors && (vinInput.dirty || vinInput.touched)" class="text-danger">
                <div [hidden]="!vinInput.errors.required">
                  VIN is required.
                </div>
                <div [hidden]="!vinInput.errors.minlength">
                  VIN must be at least 4 characters long.
                </div>
                <div [hidden]="!vinInput.errors.maxlength">
                  VIN cannot be more than 64 characters long.
                </div>
                <div [hidden]="!vinInput.errors.pattern">
                  Please enter valid VIN
                </div>
              </div>
            </div>

            <div class="form-group has-feedback ">
              <label class="control-label">Software ID</label>
              <input type="text" class="form-control" tabindex="9" [(ngModel)]="asset.softwareId" name="softwareIdInput" #softwareIdInput="ngModel"
                maxlength="64" pattern="[a-zA-Z0-9.\s]+">
              <!-- <span class="form-control-feedback"><span class="material-icons">contacts</span></span> -->

              <div *ngIf="softwareIdInput.errors && (softwareIdInput.dirty || softwareIdInput.touched)" class="text-danger">
                <div [hidden]="!softwareIdInput.errors.required">
                  Software Id is required.
                </div>
                <div [hidden]="!softwareIdInput.errors.minlength">
                  Software Id must be at least 4 characters long.
                </div>
                <div [hidden]="!softwareIdInput.errors.maxlength">
                  Software Id cannot be more than 64 characters long.
                </div>
                <div [hidden]="!softwareIdInput.errors.pattern">
                  Please enter valid Software Id
                </div>
              </div>
            </div>

            <div class="form-group has-feedback ">
              <label class="control-label">Customer Equipment ID </label>
              <input type="text" class="form-control" tabindex="11" [(ngModel)]="asset.customerEquipmentId" name="customerEquipmentIdInput"
                #customerEquipmentIdInput="ngModel" maxlength="64" pattern="[a-zA-Z0-9.\s]+">
              <!-- <span class="form-control-feedback"><span class="material-icons">contacts</span></span> -->

              <div *ngIf="customerEquipmentIdInput.errors && (customerEquipmentIdInput.dirty || customerEquipmentIdInput.touched)" class="text-danger">
                <div [hidden]="!customerEquipmentIdInput.errors.required">
                  Customer Equipment Id is required.
                </div>
                <div [hidden]="!customerEquipmentIdInput.errors.minlength">
                  Customer Equipment Id must be at least 4 characters long.
                </div>
                <div [hidden]="!customerEquipmentIdInput.errors.maxlength">
                  Customer Equipment Id cannot be more than 64 characters long.
                </div>
                <div [hidden]="!customerEquipmentIdInput.errors.pattern">
                  Please enter valid Customer Equipment Id
                </div>
              </div>
            </div>

          </div>
          <!--</div>-->
        </div>
        <!-- second row -->
      </div>

      <div class="col-lg-5 col-md-5 col-sm-5">
        <div class="onboarding-instruction  hidden-xs thumbnail">
          <h3>Create Asset</h3>
          <p>Asset Onboarding experience starts with the very first step of creating assets, creating facilities, devices and
            associate assets to the facility and the device.</p>
          <p>Create New Asset: To create a new asset, please make sure the "Create New Asset" is selected if not highlighted
            in green. By default "Create New Asset" button is selected. Enter the Asset Name, select Asset Image, enter asset
            details.</p>
          <p>If there is no error, the continue button will be enabled. Click Continue button to create the asset. If any error
            happens while creating the asset, you will see the error details.</p>
          <p>Select Existing Asset: If you want to change values of an existing asset or add Users to it, please click "Select
            Existing Asset" button. You can select an existing asset by selecting the asset from the Asset Name dropdown.
            If you don't see the Asset, click "Create New Asset" button and create the asset. Selecting an existing asset,
            pre-populates the values. You can change any value of the asset and click Continue button. If you want to add
            facility and device to this asset, click + icon button to go to Create Facility and Create Device tab.</p>
          <p>PS: For any issue, please contact BlueSurge Support Team.</p>
        </div>
        <div class="row">
          <div class="col-lg-12 col-md-12 col-sm-12 text-right form-group">
            <button class="btn btn-tab" (click)="cancel()" type="button">Cancel</button>
            <button class="btn btn-tab" (click)="createAsset(onboardingForm.valid)" type="button" [disabled]="onboardingForm.invalid">Continue</button>
          </div>
        </div>
      </div>
      <!-- main row -->
    </div>
  </form>
</div>
